REGISTER_SOUND_SYN(9)

NAME
register_sound_synth - register a synth device

SYNOPSIS

int register_sound_synth (struct file_operations * fops, int dev);

ARGUMENTS

fops
    File operations for the driver

dev Unit number to allocate

DESCRIPTION

Allocate a synth device. Unit is the number of the synth device requested. Pass -1 to request the next free synth unit. On success the allocated number is returned, on failure a negative error code is returned.